<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: c2p.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>c2p.c</h1><a href="c2p_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a><a class="code" href="c2p_8c.html#a59799636dce6e7dfa2ce20c48147fa6b">00018</a> <span class="preprocessor">#define WS 0</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span>
<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;<a class="code" href="polylib_8h.html">polylib/polylib.h</a>&gt;</span>
<a name="l00022"></a>00022 
<a name="l00023"></a><a class="code" href="c2p_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">00023</a> <span class="keywordtype">int</span> <a class="code" href="c2p_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a>() {
<a name="l00024"></a>00024         
<a name="l00025"></a>00025   <a class="code" href="structmatrix.html">Matrix</a> *A;
<a name="l00026"></a>00026   <a class="code" href="structpolyhedron.html">Polyhedron</a> *P;
<a name="l00027"></a>00027   
<a name="l00028"></a>00028   A = <a class="code" href="matrix_8c.html#a3a087ae9a03d5baf0b81831177931143">Matrix_Read</a>();
<a name="l00029"></a>00029   <span class="keywordflow">if</span>(A-&gt;<a class="code" href="structmatrix.html#a68858fd3b57684ef38bdfce13c65d182">NbColumns</a> &lt; 2) {
<a name="l00030"></a>00030     printf(<span class="stringliteral">&quot;Wrong input: %d columns\n&quot;</span>, A-&gt;<a class="code" href="structmatrix.html#a68858fd3b57684ef38bdfce13c65d182">NbColumns</a> );
<a name="l00031"></a>00031     <a class="code" href="matrix_8c.html#afcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(A);
<a name="l00032"></a>00032     exit(1);
<a name="l00033"></a>00033   }
<a name="l00034"></a>00034   <a class="code" href="matrix_8c.html#ad4c3c350dba633f72bbcf3609b6b67d7">Matrix_Print</a>(stdout,<a class="code" href="types_8h.html#ae6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>,A);
<a name="l00035"></a>00035   P = <a class="code" href="polyhedron_8c.html#aefb77665a187d751bdd44f106b12465e" title="Given a matrix of constraints (&amp;#39;Constraints&amp;#39;), construct and return a polyhedron...">Constraints2Polyhedron</a>(A,<a class="code" href="ext__ehrhart_8c.html#a59799636dce6e7dfa2ce20c48147fa6b">WS</a>);
<a name="l00036"></a>00036   <a class="code" href="matrix_8c.html#afcb312b7c12a6997cd66964ecc34e1a6">Matrix_Free</a>(A);  
<a name="l00037"></a>00037   <a class="code" href="polyhedron_8c.html#ad87595bd01c5cdd0f3933824943db496">Polyhedron_Print</a>(stdout,<a class="code" href="types_8h.html#ae6f16bcd4a42ba51cbb003e3d1e1cde6">P_VALUE_FMT</a>,P);
<a name="l00038"></a>00038   <a class="code" href="polyhedron_8c.html#ae6d0a7daf8e801a777fc8e93d8cfe43a">Domain_Free</a>(P);
<a name="l00039"></a>00039   <span class="keywordflow">return</span> 0;  
<a name="l00040"></a>00040 }
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:25 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
